# DBaaS External Endpoints


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

External integrations allow you to connect your Exoscale DBaaS services with third-party monitoring, logging, or analytics tools.

[Read more](https://community.exoscale.com/product/dbaas/how-to/external-integrations/)

## <span data-label="POST" class="pill-POST"></span>create-dbaas-external-endpoint-datadog

```
POST /dbaas-external-endpoint-datadog/{name}
```

[BETA] Create DataDog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `name` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-datadog-input-create/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "datadog-api-key": "string",
    "datadog-tags": [
      {
        "comment": "string",
        "tag": "string"
      }
    ],
    "disable-consumer-stats": true,
    "kafka-consumer-check-instances": 0,
    "kafka-consumer-stats-timeout": 0,
    "max-partition-contexts": 0,
    "site": "us3.datadoghq.com"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `create-dbaas-external-endpoint-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDBAASExternalEndpointDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_dbaas_external_endpoint_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDbaasExternalEndpointDatadog(java.lang.String,com.exoscale.sdk.model.CreateDbaasExternalEndpointDatadogRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-dbaas-external-endpoint-datadog`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-endpoint-datadog

```
GET /dbaas-external-endpoint-datadog/{endpoint-id}
```

[BETA] Get DataDog external endpoint settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | External integration endpoint id<br/><br/>Must be a valid UUID. |
| `name` | string | External integration endpoint name |
| `settings` | [Settings](/reference/api/_schemas/dbaas-external-endpoint-datadog-output/#settings) | External integration DataDog configuration |
| `type` | string | External integration endpoint type<br/><br/>Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "name": "string",
  "settings": {
    "datadog-tags": [
      {
        "comment": "string",
        "tag": "string"
      }
    ],
    "disable-consumer-stats": true,
    "kafka-consumer-check-instances": 0,
    "kafka-consumer-stats-timeout": 0,
    "max-partition-contexts": 0,
    "site": "us3.datadoghq.com"
  },
  "type": "prometheus"
}
```
</details>


SDK reference for `get-dbaas-external-endpoint-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalEndpointDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_endpoint_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalEndpointDatadog(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-endpoint-datadog`

## <span data-label="PUT" class="pill-PUT"></span>update-dbaas-external-endpoint-datadog

```
PUT /dbaas-external-endpoint-datadog/{endpoint-id}
```

[BETA] Update DataDog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-datadog-input-update/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "datadog-api-key": "string",
    "datadog-tags": [
      {
        "comment": "string",
        "tag": "string"
      }
    ],
    "disable-consumer-stats": true,
    "kafka-consumer-check-instances": 0,
    "kafka-consumer-stats-timeout": 0,
    "max-partition-contexts": 0,
    "site": "us3.datadoghq.com"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-endpoint-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalEndpointDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_endpoint_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalEndpointDatadog(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalEndpointDatadogRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-endpoint-datadog`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-dbaas-external-endpoint-datadog

```
DELETE /dbaas-external-endpoint-datadog/{endpoint-id}
```

[BETA] Delete DataDog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `delete-dbaas-external-endpoint-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDBAASExternalEndpointDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_dbaas_external_endpoint_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDbaasExternalEndpointDatadog(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-dbaas-external-endpoint-datadog`

## <span data-label="POST" class="pill-POST"></span>create-dbaas-external-endpoint-elasticsearch

```
POST /dbaas-external-endpoint-elasticsearch/{name}
```

[BETA] Create ElasticSearch Logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `name` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-elasticsearch-input-create/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `create-dbaas-external-endpoint-elasticsearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDBAASExternalEndpointElasticsearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_dbaas_external_endpoint_elasticsearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDbaasExternalEndpointElasticsearch(java.lang.String,com.exoscale.sdk.model.CreateDbaasExternalEndpointElasticsearchRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-dbaas-external-endpoint-elasticsearch`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-endpoint-elasticsearch

```
GET /dbaas-external-endpoint-elasticsearch/{endpoint-id}
```

[BETA] Get ElasticSearch Logs external integration endpoint settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | External integration endpoint id<br/><br/>Must be a valid UUID. |
| `name` | string | External integration endpoint name |
| `settings` | [DBaaS Endpoint Elasticsearch Optional Fields](/reference/api/_schemas/dbaas-endpoint-elasticsearch-optional-fields/) | External integration ElasticSearch logs configuration |
| `type` | string | External integration endpoint type<br/><br/>Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "name": "string",
  "settings": {
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  },
  "type": "prometheus"
}
```
</details>


SDK reference for `get-dbaas-external-endpoint-elasticsearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalEndpointElasticsearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_endpoint_elasticsearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalEndpointElasticsearch(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-endpoint-elasticsearch`

## <span data-label="PUT" class="pill-PUT"></span>update-dbaas-external-endpoint-elasticsearch

```
PUT /dbaas-external-endpoint-elasticsearch/{endpoint-id}
```

[BETA] Update ElasticSearch Logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-elasticsearch-input-update/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-endpoint-elasticsearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalEndpointElasticsearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_endpoint_elasticsearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalEndpointElasticsearch(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalEndpointElasticsearchRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-endpoint-elasticsearch`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-dbaas-external-endpoint-elasticsearch

```
DELETE /dbaas-external-endpoint-elasticsearch/{endpoint-id}
```

[BETA] Delete ElasticSearch logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `delete-dbaas-external-endpoint-elasticsearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDBAASExternalEndpointElasticsearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_dbaas_external_endpoint_elasticsearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDbaasExternalEndpointElasticsearch(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-dbaas-external-endpoint-elasticsearch`

## <span data-label="POST" class="pill-POST"></span>create-dbaas-external-endpoint-opensearch

```
POST /dbaas-external-endpoint-opensearch/{name}
```

[BETA] Create OpenSearch Logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `name` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-opensearch-input-create/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `create-dbaas-external-endpoint-opensearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDBAASExternalEndpointOpensearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_dbaas_external_endpoint_opensearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDbaasExternalEndpointOpensearch(java.lang.String,com.exoscale.sdk.model.CreateDbaasExternalEndpointOpensearchRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-dbaas-external-endpoint-opensearch`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-endpoint-opensearch

```
GET /dbaas-external-endpoint-opensearch/{endpoint-id}
```

[BETA] Get OpenSearch Logs external integration endpoint settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | External integration endpoint id<br/><br/>Must be a valid UUID. |
| `name` | string | External integration endpoint name |
| `settings` | [DBaaS Endpoint Opensearch Optional Fields](/reference/api/_schemas/dbaas-endpoint-opensearch-optional-fields/) | External integration OpenSearch logs configuration |
| `type` | string | External integration endpoint type<br/><br/>Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "name": "string",
  "settings": {
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  },
  "type": "prometheus"
}
```
</details>


SDK reference for `get-dbaas-external-endpoint-opensearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalEndpointOpensearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_endpoint_opensearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalEndpointOpensearch(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-endpoint-opensearch`

## <span data-label="PUT" class="pill-PUT"></span>update-dbaas-external-endpoint-opensearch

```
PUT /dbaas-external-endpoint-opensearch/{endpoint-id}
```

[BETA] Update OpenSearch Logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-opensearch-input-update/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "index-days-max": 0,
    "index-prefix": "string",
    "timeout": 0,
    "url": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-endpoint-opensearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalEndpointOpensearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_endpoint_opensearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalEndpointOpensearch(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalEndpointOpensearchRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-endpoint-opensearch`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-dbaas-external-endpoint-opensearch

```
DELETE /dbaas-external-endpoint-opensearch/{endpoint-id}
```

[BETA] Delete OpenSearch logs external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `delete-dbaas-external-endpoint-opensearch`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDBAASExternalEndpointOpensearch) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_dbaas_external_endpoint_opensearch) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDbaasExternalEndpointOpensearch(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-dbaas-external-endpoint-opensearch`

## <span data-label="POST" class="pill-POST"></span>create-dbaas-external-endpoint-prometheus

```
POST /dbaas-external-endpoint-prometheus/{name}
```

[BETA] Create Prometheus external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `name` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-prometheus-payload/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "basic-auth-password": "string",
    "basic-auth-username": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `create-dbaas-external-endpoint-prometheus`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDBAASExternalEndpointPrometheus) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_dbaas_external_endpoint_prometheus) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDbaasExternalEndpointPrometheus(java.lang.String,com.exoscale.sdk.model.CreateDbaasExternalEndpointPrometheusRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-dbaas-external-endpoint-prometheus`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-endpoint-prometheus

```
GET /dbaas-external-endpoint-prometheus/{endpoint-id}
```

[BETA] Get Prometheus external integration endpoint settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | External integration endpoint id<br/><br/>Must be a valid UUID. |
| `name` | string | External integration endpoint name |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-external-prometheus-output/#settings) | External integration Prometheus configuration |
| `type` | string | External integration endpoint type<br/><br/>Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "name": "string",
  "settings": {
    "basic-auth-username": "string"
  },
  "type": "prometheus"
}
```
</details>


SDK reference for `get-dbaas-external-endpoint-prometheus`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalEndpointPrometheus) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_endpoint_prometheus) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalEndpointPrometheus(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-endpoint-prometheus`

## <span data-label="PUT" class="pill-PUT"></span>update-dbaas-external-endpoint-prometheus

```
PUT /dbaas-external-endpoint-prometheus/{endpoint-id}
```

[BETA] Update Prometheus external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-prometheus-payload/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "basic-auth-password": "string",
    "basic-auth-username": "string"
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-endpoint-prometheus`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalEndpointPrometheus) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_endpoint_prometheus) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalEndpointPrometheus(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalEndpointPrometheusRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-endpoint-prometheus`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-dbaas-external-endpoint-prometheus

```
DELETE /dbaas-external-endpoint-prometheus/{endpoint-id}
```

[BETA] Delete Prometheus external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `delete-dbaas-external-endpoint-prometheus`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDBAASExternalEndpointPrometheus) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_dbaas_external_endpoint_prometheus) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDbaasExternalEndpointPrometheus(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-dbaas-external-endpoint-prometheus`

## <span data-label="POST" class="pill-POST"></span>create-dbaas-external-endpoint-rsyslog

```
POST /dbaas-external-endpoint-rsyslog/{name}
```

[BETA] Create RSyslog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `name` | `path` |  |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-rsyslog-input-create/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "cert": "string",
    "format": "custom",
    "key": "string",
    "logline": "string",
    "max-message-size": 0,
    "port": 0,
    "sd": "string",
    "server": "string",
    "tls": true
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `create-dbaas-external-endpoint-rsyslog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateDBAASExternalEndpointRsyslog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_dbaas_external_endpoint_rsyslog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createDbaasExternalEndpointRsyslog(java.lang.String,com.exoscale.sdk.model.CreateDbaasExternalEndpointRsyslogRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api create-dbaas-external-endpoint-rsyslog`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-endpoint-rsyslog

```
GET /dbaas-external-endpoint-rsyslog/{endpoint-id}
```

[BETA] Get RSyslog external integration endpoint settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | External integration endpoint id<br/><br/>Must be a valid UUID. |
| `name` | string | External integration endpoint name |
| `settings` | [DBaaS Endpoint Rsyslog Optional Fields](/reference/api/_schemas/dbaas-endpoint-rsyslog-optional-fields/) | External integration RSyslog configuration |
| `type` | string | External integration endpoint type<br/><br/>Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "name": "string",
  "settings": {
    "format": "custom",
    "logline": "string",
    "max-message-size": 0,
    "port": 0,
    "sd": "string",
    "server": "string",
    "tls": true
  },
  "type": "prometheus"
}
```
</details>


SDK reference for `get-dbaas-external-endpoint-rsyslog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalEndpointRsyslog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_endpoint_rsyslog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalEndpointRsyslog(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-endpoint-rsyslog`

## <span data-label="PUT" class="pill-PUT"></span>update-dbaas-external-endpoint-rsyslog

```
PUT /dbaas-external-endpoint-rsyslog/{endpoint-id}
```

[BETA] Update RSyslog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [Settings](/reference/api/_schemas/dbaas-endpoint-rsyslog-input-update/#settings) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "ca": "string",
    "cert": "string",
    "format": "custom",
    "key": "string",
    "logline": "string",
    "max-message-size": 0,
    "port": 0,
    "sd": "string",
    "server": "string",
    "tls": true
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-endpoint-rsyslog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalEndpointRsyslog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_endpoint_rsyslog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalEndpointRsyslog(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalEndpointRsyslogRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-endpoint-rsyslog`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-dbaas-external-endpoint-rsyslog

```
DELETE /dbaas-external-endpoint-rsyslog/{endpoint-id}
```

[BETA] Delete RSyslog external integration endpoint

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `endpoint-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `delete-dbaas-external-endpoint-rsyslog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteDBAASExternalEndpointRsyslog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_dbaas_external_endpoint_rsyslog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteDbaasExternalEndpointRsyslog(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api delete-dbaas-external-endpoint-rsyslog`

## <span data-label="POST" class="pill-POST"></span>update-dbaas-external-integration-settings-datadog

```
POST /dbaas-external-integration-settings-datadog/{integration-id}
```

[BETA] Manage Datadog integration settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `integration-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `settings` | [DBaaS Integration Settings Datadog](/reference/api/_schemas/dbaas-integration-settings-datadog/) | no |  |

<details>
<summary>Example</summary>

```json
{
  "settings": {
    "datadog-dbm-enabled": true,
    "datadog-pgbouncer-enabled": true
  }
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `id` | string | Operation ID<br/><br/>Must be a valid UUID. |
| `message` | string | Operation message |
| `reason` | string | Operation failure reason<br/><br/>Allowed values: `incorrect`, `unknown`, `unavailable`, `forbidden`, `busy`, `fault`, `partial`, `not-found`, `interrupted`, `unsupported`, `conflict`. |
| `reference` | [Reference](/reference/api/_schemas/operation/#reference) | Related resource reference |
| `state` | string | Operation status<br/><br/>Allowed values: `failure`, `pending`, `success`, `timeout`. |

<details>
<summary>Example output</summary>

```json
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}
```
</details>


SDK reference for `update-dbaas-external-integration-settings-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.UpdateDBAASExternalIntegrationSettingsDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.update_dbaas_external_integration_settings_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#updateDbaasExternalIntegrationSettingsDatadog(java.util.UUID,com.exoscale.sdk.model.UpdateDbaasExternalIntegrationSettingsDatadogRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api update-dbaas-external-integration-settings-datadog`

## <span data-label="GET" class="pill-GET"></span>get-dbaas-external-integration-settings-datadog

```
GET /dbaas-external-integration-settings-datadog/{integration-id}
```

[BETA] Get Datadog integration settings

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `integration-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `settings` | [DBaaS Integration Settings Datadog](/reference/api/_schemas/dbaas-integration-settings-datadog/) |  |

<details>
<summary>Example output</summary>

```json
{
  "settings": {
    "datadog-dbm-enabled": true,
    "datadog-pgbouncer-enabled": true
  }
}
```
</details>


SDK reference for `get-dbaas-external-integration-settings-datadog`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDBAASExternalIntegrationSettingsDatadog) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_dbaas_external_integration_settings_datadog) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDbaasExternalIntegrationSettingsDatadog(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-dbaas-external-integration-settings-datadog`


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>list-dbaas-external-endpoint-types

```
GET /dbaas-external-endpoint-types
```

[BETA] List available external endpoint types and their schemas for DBaaS external integrations

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `endpoint-types` | array of [Endpoint Types](#endpoint-types) |  |

<details>
<summary>Example output</summary>

```json
{
  "endpoint-types": [
    {
      "service-types": [
        "string"
      ],
      "title": "string",
      "type": "prometheus"
    }
  ]
}
```
</details>


### Endpoint Types {#endpoint-types}

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `service-types` | array[string] | no |  |
| `title` | string | no |  |
| `type` | string | no | Allowed values: `prometheus`, `opensearch`, `rsyslog`, `datadog`, `elasticsearch`. |

SDK reference for `list-dbaas-external-endpoint-types`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListDBAASExternalEndpointTypes) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_dbaas_external_endpoint_types) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listDbaasExternalEndpointTypes())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-dbaas-external-endpoint-types`

## <span data-label="GET" class="pill-GET"></span>list-dbaas-external-endpoints

```
GET /dbaas-external-endpoints
```

[BETA] List available external endpoints for integrations

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `dbaas-endpoints` | array of [DBaaS External Endpoint](/reference/api/_schemas/dbaas-external-endpoint/) |  |

<details>
<summary>Example output</summary>

```json
{
  "dbaas-endpoints": [
    {
      "id": "string",
      "name": "string",
      "type": "prometheus"
    }
  ]
}
```
</details>


SDK reference for `list-dbaas-external-endpoints`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListDBAASExternalEndpoints) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_dbaas_external_endpoints) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listDbaasExternalEndpoints())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-dbaas-external-endpoints`


